- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# QIntValidator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 96 of file qvalidator.h.

`#include <qvalidator.h>`

Inheritance diagram for QIntValidator:
[legend]

List of all members.

## Public Member Functions
| QIntValidator (QObject *parent=0)
| QIntValidator (int bottom, int top, QObject *parent)
| ~QIntValidator ()
QValidator::State | validate (QString &, int &) const
void | fixup (QString &input) const
void | setBottom (int)
void | setTop (int)
virtual void | setRange (int bottom, int top)
int | bottom () const
int | top () const
## Properties
int | bottom
int | top

## Constructor & Destructor Documentation

QIntValidator | ( | QObject * | parent = `0` | ) | `[explicit]`

QIntValidator | ( | int | bottom,
|  | int | top,
|  | QObject * | parent
| ) |  |

~QIntValidator | ( |  | ) |

## Member Function Documentation

QValidator::State validate | ( | QString & | ,
|  | int & |
| ) |  | const `[virtual]`

Search for all occurrences

Implements QValidator.

void fixup | ( | QString & | input | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QValidator.

void setBottom | ( | int |  | ) |

Search for all occurrences

void setTop | ( | int |  | ) |

Search for all occurrences

virtual void setRange | ( | int | bottom,
|  | int | top
| ) |  | `[virtual]`

Search for all occurrences

int bottom | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 114 of file qvalidator.h.

    { return b; }

int top | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 115 of file qvalidator.h.

    { return t; }

## Property Documentation

int bottom `[read, write]`

Search for all occurrences

Definition at line 99 of file qvalidator.h.

int top `[read, write]`

Search for all occurrences

Definition at line 100 of file qvalidator.h.

The documentation for this class was generated from the following file:

- QtGui/qvalidator.h

QIntValidator QIntValidator QIntValidator QIntValidator QIntValidator QIntValidator QIntValidator QIntValidator QIntValidator QIntValidator
QIntValidator QIntValidator QIntValidator QIntValidator QIntValidator QIntValidator QIntValidator QIntValidator QIntValidator QIntValidator